AccessDeniedException (Java Platform SE 8 )
Keywords: java.nio.file.AccessDeniedException class
Date: 2026-04-17

compact1, compact2, compact3
java.nio.file

## Class AccessDeniedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - java.nio.file.FileSystemException
        - - java.nio.file.AccessDeniedException

- All Implemented Interfaces:
    Serializable

      public class AccessDeniedException
      extends FileSystemException

  Checked exception thrown when a file system operation is denied, typically due to a file permission or other access check.

  This exception is not related to the `AccessControlException` or `SecurityException` thrown by access controllers or security managers when access to a file is denied.

  Since:
    1.7
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AccessDeniedException(String file)` Constructs an instance of this class.
    `AccessDeniedException(String file, String other, String reason)` Constructs an instance of this class.

  - ### Method Summary

    - ### Methods inherited from class java.nio.file.FileSystemException

      `getFile, getMessage, getOtherFile, getReason`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AccessDeniedException

          public AccessDeniedException(String file)

      Constructs an instance of this class.
      Parameters:
        `file` - a string identifying the file or `null` if not known

    - #### AccessDeniedException

          public AccessDeniedException(String file,
                                       String other,
                                       String reason)

      Constructs an instance of this class.
      Parameters:
        `file` - a string identifying the file or `null` if not known
        `other` - a string identifying the other file or `null` if not known
        `reason` - a reason message with additional information or `null`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.